#include <bits/stdc++.h>

using namespace std;

int main()
{
    int N,K;cin>>N>>K;
    int x[N];
    int br=0;
    int c[N];
    for(int i =0; i<N; i++){
        cin>>x[i];
    }
    if(x[N-1]==K){
        for(int i=0;i<N;i++){
            c[i]=x[(i-1+N)%N];
        }
        for(int i =0; i<N; i++){
            cout<<c[i];
        }
    
        for(int i =0; i<N; i++){
            if(c[i]==K){
                br=i+1;
            }
        }
        cout<<c[br];
    }else if(N==2){
        if(K==2){
            cout<<"1";
        }else {
            cout<<"2";
        }
    }else{
        for(int i =0; i<N; i++){
            if(x[i]==K){
                br=i+1;
            }
        }
        cout<<x[br];
    }
    
    
    
}